de.esprit.netsuite.server.coserver

## Class CoServerConnectionABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractSingletonABO<ClientContext,ServerContext,CoServerConnectionABO>
            - - de.esprit.netsuite.server.coserver.CoServerConnectionABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, CrossPlatformObject<ClientContext,ServerContext>, LastAccessed, AliveBusinessObject<ClientContext,ServerContext,CoServerConnectionABO>, RemoteLockable, PermissionControlled, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class CoServerConnectionABO
      extends AbstractSingletonABO<ClientContext,ServerContext,CoServerConnectionABO>

  This ABO contains ever up to date information, which CoServers are connected.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoServerConnectionABO(ClientContext clientCtx)`
    `CoServerConnectionABO(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ServerId>` | `getConnectedCoServerIds()`
    `java.util.List<ServerHost>` | `getDefinedCoServers()`
    `ServerId` | `getServerIdOf(java.lang.String serverName)`
    `boolean` | `isCoServerConnected(java.lang.String serverName)`
    `boolean` | `isVisibleInClientMonitor()` Tells whether this ABO shows up in the clients ActivityMonitor
    `protected void` | `overtakeABOValues(CoServerConnectionABO inst)` Must be implemented by subclasses to copy their instance values
    `void` | `rehash()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractSingletonABO

      `createEditDialog, createPrimaryKey, fetch, getRenderIcon, instantiateOnServer, isCacheResident`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copyABOValues, create, createChangeGate, createOnServer, createPermissionDefinition, deepClone, delete, deleteOnServer, drop, dropOnServer, equals, fetch, findCachedABOs, fireABOInitialized, getPermissionDefinition, getPrimaryKey, getRenderColor, getRenderText, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isLockedByMe, isNumb, isOnline, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, toString, update, update, updateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.LastAccessed

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

- - ### Constructor Detail

    - #### CoServerConnectionABO

          public CoServerConnectionABO(ClientContext clientCtx)

    - #### CoServerConnectionABO

          public CoServerConnectionABO(ServerContext serverCtx)

  - ### Method Detail

    - #### isVisibleInClientMonitor

          public boolean isVisibleInClientMonitor()

      Description copied from interface: `AliveBusinessObject`
      Tells whether this ABO shows up in the clients ActivityMonitor
      Specified by:
        `isVisibleInClientMonitor` in interface `AliveBusinessObject<ClientContext,ServerContext,CoServerConnectionABO>`
      Overrides:
        `isVisibleInClientMonitor` in class `AbstractABO<ClientContext,ServerContext,CoServerConnectionABO>`

    - #### overtakeABOValues

          protected void overtakeABOValues(CoServerConnectionABO inst)

      Description copied from class: `AbstractABO`
      Must be implemented by subclasses to copy their instance values
      Specified by:
        `overtakeABOValues` in class `AbstractABO<ClientContext,ServerContext,CoServerConnectionABO>`

    - #### getDefinedCoServers

          public java.util.List<ServerHost> getDefinedCoServers()

    - #### getServerIdOf

          public ServerId getServerIdOf(java.lang.String serverName)

    - #### isCoServerConnected

          public boolean isCoServerConnected(java.lang.String serverName)

    - #### getConnectedCoServerIds

          public java.util.List<ServerId> getConnectedCoServerIds()

    - #### rehash

          public void rehash()

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractABO<ClientContext,ServerContext,CoServerConnectionABO>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.